eID middleware |

# be::portugal::eid::PTEID_ExParamRange Class Reference

Exception class Bad Parameter Range (error code = EIDMW_ERR_PARAM_RANGE). More...

Inheritance diagram for be::portugal::eid::PTEID_ExParamRange:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ExParamRange ()

## Detailed Description

Exception class Bad Parameter Range (error code = EIDMW_ERR_PARAM_RANGE).

Throw when the element ask is out of range. Used in :

- PTEID_ReaderSet::getReaderName(unsigned long ulIndex)
- PTEID_ReaderSet::getReaderByNum(unsigned long ulIndex)
- PTEID_Certificate::getChildren(unsigned long ulIndex)
- PTEID_Certificates::getCertByNumber(unsigned long ulIndex)
- PTEID_Pins::getPinByNumber(unsigned long ulIndex)

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ExParamRange::PTEID_ExParamRange | ( |  | ) | `[inline]`

## Member Function Documentation

override void be::portugal::eid::PTEID_ExParamRange::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Exception.